Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## examples.e2e.b2c.catalog.pipeline
Class CatalogPC

    java.lang.Object
      |
      +--com.bea.p13n.appflow.pipeline.PipelineComponentSupport
            |
            +--examples.e2e.b2c.catalog.pipeline.CatalogPC

Direct Known Subclasses:
  GetCategoryPC, GetProductItemPC, GetProductItemsPC, GetSubcategoriesPC, SearchPC

public abstract class CatalogPC
extends PipelineComponentSupport

This `PipelineComponent` is the base class for all Catalog related `PipelineComponent`s components. It contains Catalog related utility methods.

See Also:
  `PipelineComponent`, `PipelineSession`, `PipelineSessionConstants`

Fields inherited from class com.bea.p13n.appflow.pipeline.PipelineComponentSupport
`exFmt`

Constructor Summary
`CatalogPC()`

Method Summary
`static CatalogManager` | `getCatalogManager(PipelineSession pipelineSession)` Retrieves a cached `CatalogManager` from the `PipelineSession`.
`static CatalogRequest` | `getCatalogRequest(PipelineSession pipelineSession)` Retrieves a cached `CatalogRequest` from the `PipelineSession`.

Methods inherited from class com.bea.p13n.appflow.pipeline.PipelineComponentSupport
`getCurrentNamespace, getRequestAttribute, getSessionAttribute, setRequestAttribute, setSessionAttribute`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CatalogPC

    public CatalogPC()

Method Detail

### getCatalogRequest

    public static CatalogRequest getCatalogRequest(PipelineSession pipelineSession)
                                            throws javax.ejb.CreateException,
                                                   java.rmi.RemoteException,
                                                   PipelineException,
                                                   javax.naming.NamingException

  Retrieves a cached `CatalogRequest` from the `PipelineSession`. If a `CatalogRequest` is not currently cached, an instance is created and added to the `PipelineSession` in the session scope.

  Parameters:
    `pipelineSession` - The PipelineSession
  Throws:
    javax.ejb.CreateException - on CalalogManager creation error
    java.rmi.RemoteException - on remote errror

### getCatalogManager

    public static CatalogManager getCatalogManager(PipelineSession pipelineSession)
                                            throws javax.naming.NamingException,
                                                   javax.ejb.CreateException,
                                                   java.rmi.RemoteException,
                                                   PipelineException

  Retrieves a cached `CatalogManager` from the `PipelineSession`. If a `CatalogManager` is not currently cached, an instance of the `CatalogManager` is added to the `PipelineSession` in the session scope.

  Parameters:
    `pipelineSession` - The PipelineSession
  Throws:
    javax.ejb.CreateException - on CalalogManager creation error
    java.rmi.RemoteException - on remote error

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved